OpenShot Audio Library | OpenShotAudio: juce::DirectoryEntry Class Reference

OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::DirectoryEntry Class Referencefinal

`#include <juce_RangedDirectoryIterator.h>`

## Public Member Functions
File | getFile () const
Time | getModificationTime () const
Time | getCreationTime () const
int64 | getFileSize () const
bool | isDirectory () const
bool | isHidden () const
bool | isReadOnly () const
float | getEstimatedProgress () const

## Detailed Description

Describes the attributes of a file or folder.

Definition at line 35 of file juce_RangedDirectoryIterator.h.

## Member Function Documentation

## ◆ getCreationTime()

Time juce::DirectoryEntry::getCreationTime | ( |  | ) | const
| inline

The time at which the item was created.

Definition at line 45 of file juce_RangedDirectoryIterator.h.

## ◆ getEstimatedProgress()

float juce::DirectoryEntry::getEstimatedProgress | ( |  | ) | const

The estimated proportion of the range that has been visited by the iterator, from 0.0 to 1.0.

Definition at line 29 of file juce_RangedDirectoryIterator.cpp.

Referenced by getEstimatedProgress().

## ◆ getFile()

File juce::DirectoryEntry::getFile | ( |  | ) | const
| inline

The path to a file or folder.

Definition at line 39 of file juce_RangedDirectoryIterator.h.

## ◆ getFileSize()

int64 juce::DirectoryEntry::getFileSize | ( |  | ) | const
| inline

The size of the item.

Definition at line 48 of file juce_RangedDirectoryIterator.h.

## ◆ getModificationTime()

Time juce::DirectoryEntry::getModificationTime | ( |  | ) | const
| inline

The time at which the item was last modified.

Definition at line 42 of file juce_RangedDirectoryIterator.h.

## ◆ isDirectory()

bool juce::DirectoryEntry::isDirectory | ( |  | ) | const
| inline

True if the item is a directory, false otherwise.

Definition at line 51 of file juce_RangedDirectoryIterator.h.

## ◆ isHidden()

bool juce::DirectoryEntry::isHidden | ( |  | ) | const
| inline

True if the item is hidden, false otherwise.

Definition at line 54 of file juce_RangedDirectoryIterator.h.

## ◆ isReadOnly()

bool juce::DirectoryEntry::isReadOnly | ( |  | ) | const
| inline

True if the item is read-only, false otherwise.

Definition at line 57 of file juce_RangedDirectoryIterator.h.

The documentation for this class was generated from the following files:

- juce_RangedDirectoryIterator.h
- juce_RangedDirectoryIterator.cpp